My Project

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Slots | Private Attributes | List of all members
MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions
| MainWindow (QWidget *parent=0)
| Default Constructor for the MainWindow.
void | MergeImages (const QImage &, const QImage &, QImage &, int, bool=false, int=0, int=0, int=0, int=0)
| Funcion that merges two images together. It takes an image with any background color and puts it in another image that will act as a background. (Implements Greenscreen techonology)
| ~MainWindow ()
| Destructor for the MainWindow.

## Private Slots
void | on_ghostBox_clicked ()
| Funtion that invokes the thresholdSlider function and creates a ghost version of the image with greenscreen background.
void | on_btnSelectImage_clicked ()
| Display the file browsing window to load an image. (Green Background)
void | on_btnSelectBackground_clicked ()
| Display the file browsing window to load a background image.
void | on_btnMergeImages_clicked ()
| Invokes the function that merges the green screen image with the background image, then displays the merged image.
void | on_btnSaveImage_clicked ()
| Displays the file browse window to choose the path to save the merged image in the file system.
void | Mouse_Pressed ()
| Function that gets the coordinates of the image with the greenscreen. More...
void | Mouse_PressedBackground ()
void | on_thresholdSlider_actionTriggered ()
| Invokes the function that merges the green screen image with the background image.

## Private Attributes
Ui::MainWindow * | ui
QImage | originalImage
QImage | backgroundImage
QImage | mergedImage

## Member Function Documentation

void MainWindow::Mouse_Pressed | ( |  | ) |
| private slot

Function that gets the coordinates of the image with the greenscreen.

Function that gets the coordinaates of the image with the final background.

The documentation for this class was generated from the following files:

- MergePanel.h
- Filter.cpp
- MergePanel.cpp